Cambrionix connect
Developers
Hardware API

Groups

Update, delete and list a specified Hardware Group.

Get all Groups for a Device

GET

/hardware/v1/devices/{deviceId}/groups

Get all groups for a device.

Requires a bearer access token for this API with the Organization.HardwareGroups.Devices.Read permission. See Authentication.

Parameters

deviceIdstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationHardwareGroup[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/devices/{deviceId}/groups" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Create a new hardware group

POST

/hardware/v1/group

Create a new hardware group for an organization, with the given name and description.

Requires a bearer access token for this API with the Organization.HardwareGroups.Write permission. See Authentication.

Request body

object
descriptionstringrequired
namestringrequired

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/group" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "name": "string"
}'

List Hardware Groups

GET

/hardware/v1/groups

Get all Hardware Groups scoped to a specific Organization.

Requires a bearer access token for this API with the Organization.HardwareGroups.Read permission. See Authentication.

Parameters

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationHardwareGroup[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/groups" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get a Hardware Group

GET

/hardware/v1/groups/{hardwareGroupId}

Get a Hardware Group by Id

Requires a bearer access token for this API with the Organization.HardwareGroups.Read permission. See Authentication.

Parameters

hardwareGroupIdstringpathrequired

Path parameter

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Patch a Hardware Group

PATCH

/hardware/v1/groups/{hardwareGroupId}

Patch a Hardware Group scoped to a specific Organization.

Requires a bearer access token for this API with the Organization.HardwareGroups.Write permission. See Authentication.

Parameters

hardwareGroupIdstringpathrequired

Path parameter

Request body

object
descriptionstring
namestring

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X PATCH "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN" \
  -H "Content-Type: application/json" \
  -d '{
  "description": "string",
  "name": "string"
}'

Delete a Hardware Group

DELETE

/hardware/v1/groups/{hardwareGroupId}

Delete a Hardware Group scoped to a specific Organization.

Requires a bearer access token for this API with the Organization.HardwareGroups.Delete permission. See Authentication.

Parameters

hardwareGroupIdstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

List all Hubs in a Hardware Group

GET

/hardware/v1/groups/{hardwareGroupId}/hubs

Get all Hubs associated with a Hardware Group.

Requires a bearer access token for this API with the Organization.HardwareGroups.Hubs.Read permission. See Authentication.

Parameters

hardwareGroupIdstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationHub[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}/hubs" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Add a Hub to a Hardware Group

POST

/hardware/v1/groups/{hardwareGroupId}/hubs/{serialNumber}

Add a Hub to a Hardware Group.

Requires a bearer access token for this API with the Organization.HardwareGroups.Hubs.Write permission. See Authentication.

Parameters

hardwareGroupIdstringpathrequired

Path parameter

serialNumberstringpathrequired

Path parameter

Responses

200
object
resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X POST "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}/hubs/{serialNumber}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Remove a Hub from a Hardware Group

DELETE

/hardware/v1/groups/{hardwareGroupId}/hubs/{serialNumber}

Remove a Hub from a Hardware Group.

Requires a bearer access token for this API with the Organization.HardwareGroups.Hubs.Delete permission. See Authentication.

Parameters

hardwareGroupIdstringpathrequired

Path parameter

serialNumberstringpathrequired

Path parameter

Responses

200
object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultobjectrequired
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X DELETE "https://connect.cambrionix.com/api/hardware/v1/groups/{hardwareGroupId}/hubs/{serialNumber}" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"

Get all Groups for a Hub

GET

/hardware/v1/hubs/{serialNumber}/groups

Get all groups for a hub.

Requires a bearer access token for this API with the Organization.HardwareGroups.Hubs.Read permission. See Authentication.

Parameters

serialNumberstringpathrequired

Path parameter

filterstringquery

Returns only the items that match, written as (path::operator::value), such as (name::co::Lab). Operators are eq, co, sw, ew, gt and pr, and the case-insensitive ieq, ico, isw and iew. Combine conditions as ((a)::and::(b)) or ((a)::or::(b)).

sortstringquery

Orders the items, written as (path::asc) or (path::desc). Combine orders as ((a)::and::(b)).

limitintegerquery

The maximum number of items to return.

tokenstringquery

Returns the next page: the _metadata.continuationToken of the previous response.

Responses

200

Response schema with result and metadata

object
_metadataobject

Metadata for paginated responses. This includes total count, limit, and continuation token.

resultOrganizationHardwareGroup[]required
401

Unauthorized

object
codeintegerrequired

One of: 401

messagestringrequired

One of: "Unauthorized"

detailstringrequired
403

Forbidden: the token is valid but does not allow this request

object
codeintegerrequired
messagestringrequired
detailstringrequired
default

Error

object
codeintegerrequired

One of: 500

messagestringrequired

One of: "Unauthorized"

detailstringrequired

Try it

curl -X GET "https://connect.cambrionix.com/api/hardware/v1/hubs/{serialNumber}/groups" \
  -H "Authorization: Bearer $CONNECT_ACCESS_TOKEN"